none
Windows Update PowerShell Module -- Win 7 Requirement RRS feed

All replies

  • You should post your comment in the Q&A of that gallery item.  This forum does not maintain that content - the author of the upload does.

    . : | : . : | : . tim

    Friday, August 28, 2015 9:29 PM
  • The module was written on Windows 2.0.  Unblocking of files is available on all versions of Windows since Vista.

    Perhaps you should go back and read the instructions more carefully.  Believe me.  I have been using this since Michael wrote the first version.

    HINT:  Unblock the ZIP file before you extract it.


    \_(ツ)_/

    Friday, August 28, 2015 10:46 PM
  • There is a new requirement in 1.5.1.11 that wasn't there in 1.4.5.

    It has nothing to do with unblocking the file downloaded from the Internet.

    I have both zip files above and the later one stops PS 2.0 from working due to reference to a function that is not available in PS 2.0.

    This line in the PSWindowsUpdate.psm1 later (1.5.1.11) file:

    Get-ChildItem -Path $PSScriptRoot | Unblock-File


    The "Unblock-File" function is not available in PS 2.0.

    Refer Unblock-File



    Sunday, August 30, 2015 5:54 PM
  • Actually PowerShell V2 is no longer supported.  Windows 2003 is out of support. 

    Did you realize that it is already almost 2016.  We are no using PowerShell V5 (WMF 5).  Even my car is les than ten years old.

    How can we help you live with this problem.  Would you like us to call the author and ask for a refund for you. 

    You can always ask Microsoft Support to help you.  I can alos recommend some great and very inexpensive Apple systems which surely willnot have this issue.


    \_(ツ)_/

    Sunday, August 30, 2015 6:11 PM